zenilib: zenilib/jni/external/freetype2/src/type1/t1parse.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
t1parse.h File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_TYPE1_TYPES_H>`
`#include <FT_INTERNAL_STREAM_H>`

Go to the source code of this file.

## Classes

struct | T1_ParserRec_

## Macros

#define | T1_Add_Table(p, i, o, l) (p)->funcs.add( (p), i, o, l )
#define | T1_Done_Table(p)
#define | T1_Load_Field(p, f, o, m, pf) (p)->root.funcs.load_field( &(p)->root, f, o, m, pf )
#define | T1_Load_Field_Table(p, f, o, m, pf) (p)->root.funcs.load_field_table( &(p)->root, f, o, m, pf )
#define | T1_Release_Table(p)
#define | T1_Skip_PS_Token(p) (p)->root.funcs.skip_PS_token( &(p)->root )
#define | T1_Skip_Spaces(p) (p)->root.funcs.skip_spaces( &(p)->root )
#define | T1_ToCoordArray(p, m, c) (p)->root.funcs.to_coord_array( &(p)->root, m, c )
#define | T1_ToFixed(p, t) (p)->root.funcs.to_fixed( &(p)->root, t )
#define | T1_ToFixedArray(p, m, f, t) (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )
#define | T1_ToInt(p) (p)->root.funcs.to_int( &(p)->root )
#define | T1_ToToken(p, t) (p)->root.funcs.to_token( &(p)->root, t )
#define | T1_ToTokenArray(p, t, m, c) (p)->root.funcs.to_token_array( &(p)->root, t, m, c )

## Typedefs

typedef FT_BEGIN_HEADER struct T1_ParserRec_ * | T1_Parser
typedef FT_BEGIN_HEADER struct T1_ParserRec_ | T1_ParserRec

## Functions

| T1_Finalize_Parser (T1_Parser parser)
| T1_Get_Private_Dict (T1_Parser parser, PSAux_Service psaux)
| T1_New_Parser (T1_Parser parser, FT_Stream stream, FT_Memory memory, PSAux_Service psaux)

## Macro Definition Documentation

#define T1_Add_Table | ( |  | p,
|  |  | i,
|  |  | o,
|  |  | l
| ) |  | (p)->funcs.add( (p), i, o, l )

Definition at line 79 of file t1parse.h.

Referenced by parse_charstrings(), parse_encoding(), and parse_subrs().

#define T1_Done_Table | ( |  | p | ) |

Value:
do \
{ \
if ( (p)->funcs.done ) \
(p)->funcs.done( p ); \
} while ( 0 )
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
p
GLfloat GLfloat p
Definition: glew.h:14938

Definition at line 80 of file t1parse.h.

#define T1_Load_Field | ( |  | p,
|  |  | f,
|  |  | o,
|  |  | m,
|  |  | pf
| ) |  | (p)->root.funcs.load_field( &(p)->root, f, o, m, pf )

Definition at line 109 of file t1parse.h.

Referenced by t1_load_keyword().

#define T1_Load_Field_Table | ( |  | p,
|  |  | f,
|  |  | o,
|  |  | m,
|  |  | pf
| ) |  | (p)->root.funcs.load_field_table( &(p)->root, f, o, m, pf )

Definition at line 112 of file t1parse.h.

Referenced by t1_load_keyword().

#define T1_Release_Table | ( |  | p | ) |

Value:
do \
{ \
if ( (p)->funcs.release ) \
(p)->funcs.release( p ); \
} while ( 0 )
if
if(!yyg->yy_init)
Definition: glslang_lex.cpp:1037
p
GLfloat GLfloat p
Definition: glew.h:14938

Definition at line 86 of file t1parse.h.

Referenced by t1_done_loader().

#define T1_Skip_PS_Token | ( |  | p | ) | (p)->root.funcs.skip_PS_token( &(p)->root )

Definition at line 95 of file t1parse.h.

Referenced by parse_charstrings(), parse_dict(), parse_encoding(), parse_subrs(), read_binary_data(), and T1_Get_Private_Dict().

#define T1_Skip_Spaces | ( |  | p | ) | (p)->root.funcs.skip_spaces( &(p)->root )

Definition at line 94 of file t1parse.h.

Referenced by parse_charstrings(), parse_dict(), parse_encoding(), parse_subrs(), read_binary_data(), and T1_Get_Private_Dict().

#define T1_ToCoordArray | ( |  | p,
|  |  | m,
|  |  | c
| ) |  | (p)->root.funcs.to_coord_array( &(p)->root, m, c )

Definition at line 100 of file t1parse.h.

#define T1_ToFixed | ( |  | p,
|  |  | t
| ) |  | (p)->root.funcs.to_fixed( &(p)->root, t )

Definition at line 98 of file t1parse.h.

Referenced by parse_blend_design_map(), parse_blend_design_positions(), and parse_weight_vector().

#define T1_ToFixedArray | ( |  | p,
|  |  | m,
|  |  | f,
|  |  | t
| ) |  | (p)->root.funcs.to_fixed_array( &(p)->root, m, f, t )

Definition at line 102 of file t1parse.h.

Referenced by parse_buildchar(), and t1_parse_font_matrix().

#define T1_ToInt | ( |  | p | ) | (p)->root.funcs.to_int( &(p)->root )

Definition at line 97 of file t1parse.h.

Referenced by parse_blend_design_map(), parse_charstrings(), parse_encoding(), parse_subrs(), and read_binary_data().

#define T1_ToToken | ( |  | p,
|  |  | t
| ) |  | (p)->root.funcs.to_token( &(p)->root, t )

Definition at line 104 of file t1parse.h.

#define T1_ToTokenArray | ( |  | p,
|  |  | t,
|  |  | m,
|  |  | c
| ) |  | (p)->root.funcs.to_token_array( &(p)->root, t, m, c )

Definition at line 106 of file t1parse.h.

Referenced by parse_blend_axis_types(), parse_blend_design_map(), parse_blend_design_positions(), and parse_weight_vector().

## Typedef Documentation

typedef FT_BEGIN_HEADER struct T1_ParserRec_ * T1_Parser

typedef FT_BEGIN_HEADER struct T1_ParserRec_ T1_ParserRec

## Function Documentation

T1_Finalize_Parser | ( | T1_Parser | parser | ) |

Definition at line 244 of file t1parse.c.

References FT_FREE.

Referenced by t1_done_loader().

T1_Get_Private_Dict | ( | T1_Parser | parser,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 261 of file t1parse.c.

References error, FT_ALLOC, FT_ERROR, ft_isxdigit, FT_MEM_MOVE, FT_STREAM_POS, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, ft_strncmp, FT_StreamRec_::memory, read_pfb_tag(), T1_Skip_PS_Token, and T1_Skip_Spaces.

Referenced by T1_Open_Face().

T1_New_Parser | ( | T1_Parser | parser,
|  | FT_Stream | stream,
|  | FT_Memory | memory,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 136 of file t1parse.c.

References check_type1_format(), error, FT_ALLOC, FT_FREE, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, FT_TRACE2, if(), and read_pfb_tag().

Referenced by T1_Open_Face().